Subject: bug#21666: Bug is indeed undo-list and GC related

From: Jorgen Schäfer <[email-masked]>
Date: Sat, 12 Mar 2016 14:43:36 +0000

Hello!
I have been running 1b9d616 (emacs-25 branch) for the last three days and
did not see any crashes, so this problem seems to be specific to the master
branch.

Jorgen

On Wed, Mar 9, 2016 at 5:46 PM Jorgen Schäfer <[email-masked]>
wrote:

> > Are you running master or the emacs-25 branch?
>
> I am currently running Emacs from git master.
>
> > If the former, can you
> > try the branch, please?  It is more urgent to have the branch bug-free
> > than the master, as we are in pretest for 25.1.
>
> Will do.
>
> I wish there was a better way of reproducing this than for me to lose time
> every few days to realize "oh, it's still there!"
>
> > Also, what was date or the commit of the first build which exhibited
> > the problem?  Was that the one you reported in your original message
> > to the bug tracker?  Or did you experience these problems before that?
>
> The ref in the original report was not the first I experienced this in, I
> did rebuild Emacs a few times in between assuming it was a temporary
> problem that would get fixed. I did not record the ref where this happened
> originally I'm afraid.
>
> Jorgen
>
> On Wed, Mar 9, 2016 at 5:37 PM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Jorgen Schäfer <[email-masked]>
>> > Date: Wed, 09 Mar 2016 15:21:45 +0000
>> > Cc: [email-masked]
>> >
>> > No, I can not. As mentioned, the problem occurs after a day or two of
>> usage. If you understand the problem
>> > better now that you know what prevents it, I am of course happy to run
>> test cases.
>>
>> I cannot say I understand the problem better, sorry.
>>
>> Are you running master or the emacs-25 branch?  If the former, can you
>> try the branch, please?  It is more urgent to have the branch bug-free
>> than the master, as we are in pretest for 25.1.
>>
>> Also, what was date or the commit of the first build which exhibited
>> the problem?  Was that the one you reported in your original message
>> to the bug tracker?  Or did you experience these problems before that?
>>
>> Thanks.
>>
>